Bug 228284 - NullPointerException at web.jsf.palette.items.JsfLibrariesSupport.initLibraries(JsfLibrariesSupport.java:133)
NullPointerException at web.jsf.palette.items.JsfLibrariesSupport.initLibrari...
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: JSF
7.3.1
All All
: P3 (vote)
: 7.3.1
Assigned To: Martin Fousek
issues@javaee
73patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-05 13:25 UTC by Vladimir Riha
Modified: 2013-05-09 14:10 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
IDE log (1.81 KB, text/x-log)
2013-04-05 13:25 UTC, Vladimir Riha
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Riha 2013-04-05 13:25:43 UTC
Created attachment 133334 [details]
IDE log

To reproduce:
- create Java EE 7 project with JSF 2.2
- in index.xhtml, try to drag & drop item from Palette (JSF category, log is from case I tried Metadata) to editor

=> NPE



Product Version: NetBeans IDE Dev (Build web-main-javaee7-207-on-20130405)
Java: 1.7.0_17; Java HotSpot(TM) Client VM 23.7-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_17-b32
System: Linux version 3.2.0-39-generic-pae running on i386; UTF-8; en_US (nb)
Comment 1 Martin Fousek 2013-04-09 14:51:00 UTC
Related to the rewrite for both namespaces compatibility, probably more such troubles can appear although I tried to fix what was possible by doing that change. :/

Fixed in web-main #a760039440db. Thanks a lot for reporting.
Comment 2 Vladimir Riha 2013-04-11 11:58:19 UTC
Thank you, verified


Product Version: NetBeans IDE Dev (Build web-main-javaee7-226-on-20130410)
Updates: Updates available
Java: 1.7.0_21; Java HotSpot(TM) Client VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b11
System: Linux version 3.2.0-40-generic-pae running on i386; UTF-8; en_US (nb)
Comment 3 Marian Mirilovic 2013-05-03 09:21:14 UTC
So, where exactly is this issue fixed ? Is it already in release73 repository ? If so, please change SW to '73patch2-fixed', thanks in advance.
Comment 4 Vladimir Riha 2013-05-09 14:10:19 UTC
patch2 verified

Product Version: NetBeans IDE 7.3.1 (Build 201302132200)
Java: 1.7.0_21; Java HotSpot(TM) Client VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b11
System: Linux version 3.2.0-41-generic-pae running on i386; UTF-8; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo